
Figure - Bug #117501
【IOVDEV-20041】【IOV测试】【VC1】【SORP】【声音竞合】【实车306】副屏进入电话会议，主屏可以播
放媒体
2023-04-14 15:21 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-04-14

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 中控版本：03.02.0068.C101��副屏版本：0089

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-20

Test Type: ST Root cause: 优化abandonIDCMicroAudioFocus逻辑，将abandonIDCMicroAudioFocus移动到setMode中。

Description

【前提条件】：

车机上电、网络状态良好、时间显示正确、 账号登录正确

【操作步骤】：

1、副屏电话会议

2、主屏播放音乐

【实际结果】：

1、音乐可播放

【期望结果】：

1、音乐亲求失败

【研发解决问题依赖】：

1、问题发生环境：EE

2、车机VIN号:LJD8BC3F1P0000306

 3、时间11：18

【备注】：

【软件版本号】：

IDCM版本号:     03.02.0062.C101

History

#1 - 2023-04-14 17:26 - 物联网测试组_TSCD 王维

- Category changed from AUDIO-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

- Sticky changed from 0 to 1

#2 - 2023-04-17 17:06 - 物联网测试组_TSCD 王维

- Category changed from 依赖客户及其供应商解决 to AUDIO-FW

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_TSCD 王维 to Multimedia组-RD3_TSCD 梁卿山

hi 卿山

日志已同步，请帮忙分析定位问题原因，谢谢

ftp://cdiot@192.168.87.46/log/20041

测试时间16:54–17:00
#3 - 2023-04-19 11:24 - Multimedia组-RD3_TSCD 梁卿山

Hi all，

这个问题产生的原因是当副屏状态从voice_call或者ring切换到normal时abandonIDCMicroAudioFocus的逻辑有问题。并且由于onUpdateAudioMode会被多次

调用，增加了abandonIDCMicroAudioFocus被错误调用的概率。

解决方案：优化abandonIDCMicroAudioFocus逻辑，将abandonIDCMicroAudioFocus移动到setMode中。

#4 - 2023-04-19 14:23 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL,

修复提交如下，开发自测OK。

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/194694

已经在jenkins起编译，等编译完成后，转给测试确认。

#5 - 2023-04-20 16:23 - IoT scm

- Sticky changed from 1 to 0

Gerrit Merge Information：

ID Project Branch Uploader

194694 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix Voice Call abandonAudioFocus ErrorFix Voice Call abandonAudioFocus ErrorTC-RID: 0301-0900116IssueID: TS-R-BUG-117501Change-Id:

I3f371f95969941162fa88fb4f8b7e37010af3b89

#6 - 2023-04-20 16:25 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Need_Info changed from -- to TEST

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-20

- Root cause set to 优化abandonIDCMicroAudioFocus逻辑，将abandonIDCMicroAudioFocus移动到setMode中。

Hi 永红

该提交已经投入，请使用4/20后的版本进行确认，谢谢！

#7 - 2023-04-20 16:32 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

#8 - 2023-04-20 18:52 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED
#9 - 2023-04-21 15:18 - CD TEST-方永红

- Category changed from AUDIO-FW to 依赖客户及其供应商解决

- Status changed from RESOLVED to NEED_INFO

【测试版本】

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304210449

【测试结果】

验证通过

【下一步】

等待客户验证后关闭

#10 - 2023-04-21 15:23 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#11 - 2023-05-17 16:19 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

#12 - 2023-05-17 16:19 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#13 - 2023-05-17 16:20 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files
